Remove sales order line from fulfillment order
curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{id}/remove-so-item \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sales_order_item_id": 2,
"allow_pushed": false
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{id}/remove-so-item"
payload = {
"sales_order_item_id": 2,
"allow_pushed": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({sales_order_item_id: 2, allow_pushed: false})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/fulfillment-orders/{id}/remove-so-item', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"success": true,
"message": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Fulfillment Orders
Remove sales order line from fulfillment order
Detach a sales order line from this fulfillment order. The pivot allocation is removed and FO line quantities
are resynced. Fails 422 if the FO has been picked or pushed (use allow_pushed=true to override the pushed
guard).
POST
/
fulfillment-orders
/
{id}
/
remove-so-item
Remove sales order line from fulfillment order
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
ID of the fulfillment order
Body
application/json
Response
Removed
Show child attributes
Show child attributes
⌘I